Process Interaction Streams

- « ogg://

- Security »

- PHP Manual
- Supported Protocols and Wrappers
- Process Interaction Streams

# expect://

expect:// — Process Interaction Streams

### Description

Streams opened via the expect:// wrapper provide access to process'es stdio, stdout and stderr via PTY.

> Note: This wrapper is not enabled by default
> In order to use the expect:// wrapper, the » Expect extension available from » PECL must be installed.

expect:// (PECL)

### Usage

- expect://command

### Options

Wrapper Summary
Attribute | Supported
--- | ---
Restricted by allow_url_fopen | No
Allows Reading | Yes
Allows Writing | Yes
Allows Appending | Yes
Allows Simultaneous Reading and Writing | No
Supports stat() | No
Supports unlink() | No
Supports rename() | No
Supports mkdir() | No
Supports rmdir() | No

### Examples